Subject: Re: _ctype_ undefined?
From: [email-masked] (Oliver Brandt)

10 Dec 1998 16:18:23 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mark Fitzgerald <[email-masked]>
Cc: [email-masked]

This was answered from Mumit somtimes ago: If you use "-mno-cygwin" you
need the mingw32-librarys "libstdc++" and (if you use it) "libg++"
+"libiberty". Get the whole Mingw32-package from Mumits ftp-site, make a
directory "(your CYGWIN-dir)/lib/mingw32" and put (only) the
Mingw32-libs in it.
You must call gcc now with "-mno-cygwin" and 
"-L (your CYGWIN-dir)/lib/mingw32" so that this libs would be found.
Or (what i've done) change your spec-file, so that the linker found this
libs if you use "-mno-cygwin":

(...)
*link:
(...) %{mno-cygwin:-L /(your CYGWIN-dir)/lib/mingw32-lib}

I hope that this will help you.

But there is still the question: Why is there a switch "-mno-cygwin"
and the Mingw32-includes also, but not the libs? Is there the plan to
add them in the future to the CYGWIN-package?

Mark Fitzgerald writes:
> 
> I'm trying to port a game I'm writing from Borland C++ 5.01 to Cygwin
> B20.1.  I've managed to work around windowsx macro problems by overwriting
> cygnus' windowsx.h with Borland's (Why are so many macros missing?),
> albeit with many warnings.  However, I cannot get my program to compile
> without dependence on cygwin1.dll.  I try:
> 
> gcc *.o abc.coff -mno-cygwin -mwindows -lcomctl32 -lwsock32 -o abc.exe
> 
> and I get:
> 
> gcc *.o abc.coff -mno-cygwin -mwindows -lcomctl32 -lwsock32 -o abc.exe
> abc.o: In function `SelectPlayersProc(void *, unsigned int, unsigned
> int, long)':
> /Data/Programming/cygwin/ABC_Cygwin_Port/abc.cpp:1264: undefined
> reference to `_ctype_'
> /Data/Programming/cygwin/ABC_Cygwin_Port/abc.cpp:1292: undefined
> reference to `_ctype_'
> /Data/Programming/cygwin/ABC_Cygwin_Port/abc.cpp:1321: undefined
> reference to `_ctype_'
> /Data/Programming/cygwin/ABC_Cygwin_Port/abc.cpp:1394: undefined
> reference to `_ctype_'
> /Data/Programming/cygwin/ABC_Cygwin_Port/abc.cpp:1422: undefined
> reference to `_ctype_'
> abc.o:/Data/Programming/cygwin/ABC_Cygwin_Port/abc.cpp:1451: more
> undefined references to `_ctype_' follow
> collect2: ld returned 1 exit status
> make: *** [a.exe] Error 1
> 
> Any ideas?  The lines referenced are things like:
> 
> if (!isdigit(buffer[pos++])) {
> 
> Mark Fitzgerald
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".